Bug 814793 - Cups backend link to smbspool removed during the upgrade to samba4
Cups backend link to smbspool removed during the upgrade to samba4
Status: CLOSED DUPLICATE of bug 817110
Product: Fedora
Classification: Fedora
Component: samba4 (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 13:09 EDT by Michal Ambroz
Modified: 2012-05-09 11:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-09 11:34:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2012-04-20 13:09:53 EDT
Description of problem:
During the upgrade from samba to samba4 the link /usr/lib/cups/backend/smb to /usr/bin/smbspool was removed. 

As packages are conflicting I first had to uninstall samba and then install samba4 this might have something to do with the issue. 

Absence of the cups backend definition of smb was resulting in SMB network printers to be still configured and available, but not printing.

Version-Release number of selected component (if applicable):
from samba-client-3.6.4-82.fc17.1.x86_64
to   samba4-client-4.0.0-41alpha18.fc17.x86_64


How reproducible:
do not know

Steps to Reproduce:
1. rpm -e samba samba-common samba-client
2. yum install samba4-client

  
Actual results:
Link /usr/lib/cups/backend/smb removed


Expected results:
link should exist if there is cups package as of
ln -s /usr/bin/smbspool /usr/lib/cups/backend/smb

Additional info:
Update from samba to samba4 was forced by todays yum update dependencies in the testing Fedora 17 respository
Comment 1 Alexander Bokovoy 2012-04-20 13:29:50 EDT
You shouldn't update from samba to samba4 yet. We have pushed new build that attempts to avoid forced updates.

https://admin.fedoraproject.org/updates/samba4-4.0.0-42alpha18.fc17
Comment 2 Andreas Schneider 2012-05-09 11:34:23 EDT

*** This bug has been marked as a duplicate of bug 817110 ***

Note You need to log in before you can comment on or make changes to this bug.